> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Region Summary

> Retrieve a summary count of all methods reporting variants in a given region.

Example: region = chr1:1157520-1158520 (maximum length: 10kb).



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/region-summary
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/region-summary:
    get:
      summary: Variants Region Summary
      description: >-
        Retrieve a summary count of all methods reporting variants in a given
        region.


        Example: region = chr1:1157520-1158520 (maximum length: 10kb).
      operationId: variantsRegionSummary
      parameters:
        - name: region
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  variant_count:
                    type: number
                  by_method:
                    type: array
                    items:
                      type: object
                      properties:
                        method:
                          type: string
                        count:
                          type: number
                      required:
                        - method
                        - count
                      additionalProperties: false
                required:
                  - variant_count
                  - by_method
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````